Bug 1314974 - (kdepim4) Review Request: kdepim4 - KDE4 PIM (Personal Information Manager) applications
Review Request: kdepim4 - KDE4 PIM (Personal Information Manager) applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews 1314494
  Show dependency treegraph
 
Reported: 2016-03-05 06:29 EST by Rex Dieter
Modified: 2016-04-28 23:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-28 23:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2016-03-05 06:29:05 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4.spec
SRPM URL: <srpm info here>
Description: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4-4.14.10-20.fc23.src.rpm
Fedora Account System Username: rdieter

A compat pkg of sorts, to continue providing some kde4 pim apps not yet ported to kf5.  Currently, this includes: knode, ktimetracker  (I'm personally primarily interested in knode)
Comment 1 Rex Dieter 2016-03-05 06:29:43 EST
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=13230720
Comment 2 Raphael Groner 2016-03-06 11:52:44 EST
You forgot to provide description and confused with the link to the SRPM. Please fix, though f-r tool should not claim.
Comment 3 Rex Dieter 2016-03-06 13:09:39 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4-4.14.10-20.fc23.src.rpm
Description: 
KDE4 PIM (Personal Information Manager) applications, including:
* knode: newsreader
* ktimetracker: Time and task management

Fedora Account System Username: rdieter
Comment 4 Raphael Groner 2016-03-06 14:02:38 EST
For a review swap, could you take mdp (bug #1246790) or dreamchess-tools (bug #1305390)?
Comment 5 Rex Dieter 2016-03-19 22:01:37 EDT
Spec URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4-4.14.10-22.fc24.src.rpm

%changelog
* Sat Mar 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.14.10-22
- omit grantleeeditor (to avoid conflicts)

* Sat Mar 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.14.10-21
- adjust Conflicts, drop unused -common subpkg
Comment 6 Raphael Groner 2016-03-23 09:29:57 EDT
This is obviously a request for a compatibility package.
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#MultiplePackages

Not clear for what the subpackage knode-libs is needed. Can you merge that into knode itself? Both packages depend on each other.
https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Please also explain why Conflicts is used.
https://fedoraproject.org/wiki/Packaging:Guidelines#Conflicts

My suggestion is to instead use separately one knode4 and one ktimetracker4 package each with their own spec files. Handle them as renamed packages with appropriate Provides and Obsoletes.
https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 7 Rex Dieter 2016-03-23 09:39:24 EDT
knode-libs : for multilib, since it contains multilib'd content (shared libraries), avoids the main/whole package getting multilib'd.  It's common practice.

Conflicts: helps upgrade path and gives depsolvers hints to avoid known file conflicts

Since knode and ktimetracker come from the same source tarball, making separate packages for each makes less sense (to me)
Comment 8 Rex Dieter 2016-03-23 09:44:27 EDT
I guess I can expand on the Conflicts topic, since many other kdepim4-library related subpkgs that knode depends on are no longer provided, I moved that content into the knode-libs subpkg.
Comment 9 Raphael Groner 2016-03-23 09:48:08 EDT
I fail to see how this can go in conjunction with our (general) guidelines, look into the links of comment #6. Maybe we need a FPC ticket here to get fully clear.
Comment 10 Rex Dieter 2016-03-23 09:53:30 EDT
Feel free to contact FPC if you want clarification.

It's pretty simple and clear *to me* this (current) approach is the ideal way to handle it.
Comment 11 Rex Dieter 2016-03-23 10:06:24 EDT
To put another way, I fail to see how this approach runs afoul of current guidelines and best-practice.  Perhaps can you be more specific?
Comment 12 Raphael Groner 2016-03-23 11:23:42 EDT
You obviously miss my point in comment #6, I think the explanations there are clear enough. I can't continue this review.
Comment 13 Rex Dieter 2016-03-23 11:36:03 EDT
and I thought I offered sufficient answers to your questions in comment #7 and comment #8 . If that's not acceptable to you, then that's fine.  We can agree to disagree on that (and find a different reviewer).
Comment 14 Rex Dieter 2016-04-15 14:36:25 EDT
reviewer ping :)
Comment 15 Rex Dieter 2016-04-15 14:41:11 EDT
and FYI, reference to Copr I made for initial testing:
https://copr.fedorainfracloud.org/coprs/rdieter/kdepim4/
Comment 16 William Moreno 2016-04-15 19:39:32 EDT
Package Review
==============

Issues:
=======

1. Fedora review found:
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in knode, knode-libs, ktimetracker
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: sed
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1474560 bytes in 48 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in knode, ktimetracker
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database



2. Directory ownerhip issues:
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/lib64/kde4/plugins/accessible, /usr/share/dbus-1,
     /usr/share/dbus-1/interfaces

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/kde4/apps/knode/pics(kdepim-common, knode),
     /usr/share/kde4/apps/libmessageviewer(kmail),
     /usr/lib64/kde4/plugins/grantlee/0.5(kmail, grantlee),
     /usr/share/kde4/apps/kdepimwidgets(kdepim-common),
     /usr/share/kde4/apps/messageviewer/themes/example(kmail),
     /usr/lib64/kde4/plugins/grantlee(kmail),
     /usr/share/kde4/apps/messageviewer(kmail),
     /usr/share/kde4/apps/kdepimwidgets/pics(kdepim-common),
     /usr/share/kde4/apps/messageviewer/themes/example_fancy(kmail),
     /usr/share/kde4/apps/knode(kdepim-common, knode),
     /usr/share/kde4/apps/libkleopatra/pics(kleopatra-libs),
     /usr/share/kde4/apps/messageviewer/about(kmail),
     /usr/share/kde4/apps/messageviewer/themes(kmail),
     /usr/share/kde4/apps/libmessageviewer/pics(kmail),
     /usr/share/kde4/apps/libkleopatra(kleopatra-libs)



3. Should be better to exclude this file:
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz



4. This package ships many subpackages and I am currios about than there is not any devel subpackage.

[!]: Development (unversioned) .so files in -devel subpackage, if present.
[!]: Development files must be in a -devel package

Unversioned so-files
--------------------
knode: /usr/lib64/kde4/kcm_knode.so
knode: /usr/lib64/kde4/knodepart.so
knode-libs: /usr/lib64/kde4/plugins/accessible/messagevieweraccessiblewidgetfactory.so
knode-libs: /usr/lib64/kde4/plugins/designer/kdepimwidgets.so
knode-libs: /usr/lib64/kde4/plugins/designer/mailcommonwidgets.so
knode-libs: /usr/lib64/kde4/plugins/designer/pimcommonwidgets.so
knode-libs: /usr/lib64/kde4/plugins/grantlee/0.5/grantlee_messageheaderfilters.so
ktimetracker: /usr/lib64/kde4/kcm_ktimetracker.so
ktimetracker: /usr/lib64/kde4/ktimetrackerpart.so


5. Subpackages do not have a license text in the rpm.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License file installed when any subpackage combination is installed.


6- Some of this files can be moved to a common subpackage?
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2181120 bytes in /usr/share


7. Upstream link to sources is not working:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://download.kde.org/stable/applications/4.14.10/src/kdepim-4.14.10.tar.xz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags


8. There are a lot of these warnings:
unused-direct-shlib-dependency

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: knode-4.14.10-22.fc23.x86_64.rpm
          knode-libs-4.14.10-22.fc23.x86_64.rpm
          ktimetracker-4.14.10-22.fc23.x86_64.rpm
          kdepim4-debuginfo-4.14.10-22.fc23.x86_64.rpm
          kdepim4-4.14.10-22.fc23.src.rpm
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz
knode.x86_64: W: no-manual-page-for-binary knode
knode-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmailcommon.so.4.14.18 exit@GLIBC_2.2.5
knode-libs.x86_64: W: no-documentation
knode-libs.x86_64: W: no-manual-page-for-binary kincidenceeditor
ktimetracker.x86_64: W: no-manual-page-for-binary ktimetracker
ktimetracker.x86_64: W: no-manual-page-for-binary karm
kdepim4.src:52: W: macro-in-comment %{version}
kdepim4.src:52: W: macro-in-comment %{release}
kdepim4.src:53: W: macro-in-comment %{version}
kdepim4.src:53: W: macro-in-comment %{release}
kdepim4.src: W: invalid-url Source0: http://download.kde.org/stable/applications/4.14.10/src/kdepim-4.14.10.tar.xz HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 0 errors, 12 warnings.

Rpmlint (debuginfo)
-------------------
Checking: kdepim4-debuginfo-4.14.10-22.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ktimetracker.x86_64: W: no-manual-page-for-binary ktimetracker
ktimetracker.x86_64: W: no-manual-page-for-binary karm
knode-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
knode-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkontactinterface.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkjs.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libakonadi-kde.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkleo.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkpgp.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpgme++-pthread.so.2
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkidletime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkprintutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkcalutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkcmutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkemoticons.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbaloofiles.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbalooqueryparser.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbaloocore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libmessagecore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libakonadi-contact.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtGui.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkpimutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkdeui.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libakonadiprotocolinternals.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libincidenceeditorsng.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkimap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmailcommon.so.4.14.18 exit@GLIBC_2.2.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libknewstuff3.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkparts.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkpimutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkdepim.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkidletime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkcmutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libakonadi-contact.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkemoticons.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libmailtransport.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libakonadi-kmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: no-documentation
knode-libs.x86_64: W: no-manual-page-for-binary kincidenceeditor
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz
knode.x86_64: W: no-manual-page-for-binary knode
4 packages and 0 specfiles checked; 0 errors, 213 warnings.


Requires
--------
ktimetracker (rpmlib, GLIBC filtered):
    /bin/sh
    kde-runtime
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libX11.so.6()(64bit)
    libXss.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkcalcore.so.4()(64bit)
    libkcmutils.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libkontactinterface.so.4()(64bit)
    libkparts.so.4()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

knode-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    knode
    libQt3Support.so.4()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libakonadi-calendar.so.4()(64bit)
    libakonadi-contact.so.4()(64bit)
    libakonadi-kde.so.4()(64bit)
    libakonadi-kmime.so.4()(64bit)
    libakonadi-notes.so.4()(64bit)
    libakonadi_next.so.4()(64bit)
    libakonadiprotocolinternals.so.1()(64bit)
    libbaloocore.so.4()(64bit)
    libbaloofiles.so.4()(64bit)
    libbaloopim.so.4()(64bit)
    libbalooqueryparser.so.4()(64bit)
    libc.so.6()(64bit)
    libcalendarsupport.so.4()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgpg-error.so.0()(64bit)
    libgpgme++-pthread.so.2()(64bit)
    libgpgme-pthread.so.11()(64bit)
    libgrantlee_core.so.0()(64bit)
    libgrantlee_gui.so.0()(64bit)
    libgrantleetheme.so.4()(64bit)
    libincidenceeditorsng.so.4()(64bit)
    libkabc.so.4()(64bit)
    libkaddressbookgrantlee.so.4()(64bit)
    libkcalcore.so.4()(64bit)
    libkcalutils.so.4()(64bit)
    libkcmutils.so.4()(64bit)
    libkde3support.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdepim.so.4()(64bit)
    libkdepimdbusinterfaces.so.4()(64bit)
    libkdeui.so.5()(64bit)
    libkdewebkit.so.5()(64bit)
    libkdgantt2.so.0()(64bit)
    libkemoticons.so.4()(64bit)
    libkholidays.so.4()(64bit)
    libkhtml.so.5()(64bit)
    libkidletime.so.4()(64bit)
    libkimap.so.4()(64bit)
    libkio.so.5()(64bit)
    libkjs.so.4()(64bit)
    libkldap.so.4()(64bit)
    libkleo.so.4()(64bit)
    libkmbox.so.4()(64bit)
    libkmime.so.4()(64bit)
    libknewstuff3.so.4()(64bit)
    libkontactinterface.so.4()(64bit)
    libkparts.so.4()(64bit)
    libkpgp.so.4()(64bit)
    libkpimidentities.so.4()(64bit)
    libkpimtextedit.so.4()(64bit)
    libkpimutils.so.4()(64bit)
    libkprintutils.so.4()(64bit)
    libkresources.so.4()(64bit)
    libkutils.so.4()(64bit)
    libm.so.6()(64bit)
    libmailcommon.so.4()(64bit)
    libmailimporter.so.4()(64bit)
    libmailtransport.so.4()(64bit)
    libmessagecomposer.so.4()(64bit)
    libmessagecore.so.4()(64bit)
    libmessageviewer.so.4()(64bit)
    libphonon.so.4()(64bit)
    libpimcommon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libqgpgme.so.1()(64bit)
    libqjson.so.0()(64bit)
    libsendlater.so.4()(64bit)
    libsolid.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libtemplateparser.so.4()(64bit)
    rtld(GNU_HASH)

kdepim4-debuginfo (rpmlib, GLIBC filtered):

knode (rpmlib, GLIBC filtered):
    /bin/sh
    kde-runtime
    knode-libs(x86-64)
    libQt3Support.so.4()(64bit)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libakonadi-contact.so.4()(64bit)
    libakonadi-kde.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkabc.so.4()(64bit)
    libkcalcore.so.4()(64bit)
    libkcmutils.so.4()(64bit)
    libkde3support.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdepim.so.4()(64bit)
    libkdeui.so.5()(64bit)
    libkio.so.5()(64bit)
    libkldap.so.4()(64bit)
    libkmime.so.4()(64bit)
    libknodecommon.so.4()(64bit)
    libkontactinterface.so.4()(64bit)
    libkparts.so.4()(64bit)
    libkpimidentities.so.4()(64bit)
    libkpimtextedit.so.4()(64bit)
    libkpimutils.so.4()(64bit)
    libkresources.so.4()(64bit)
    libm.so.6()(64bit)
    libphonon.so.4()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

Provides
--------
ktimetracker:
    application()
    application(kde4/ktimetracker.desktop)
    ktimetracker
    ktimetracker(x86-64)

knode-libs:
    knode-libs
    knode-libs(x86-64)
    libakonadi_next.so.4()(64bit)
    libcalendarsupport.so.4()(64bit)
    libcalendarsupportcollectionpage.so.4()(64bit)
    libgrantleetheme.so.4()(64bit)
    libincidenceeditorsng.so.4()(64bit)
    libkaddressbookgrantlee.so.4()(64bit)
    libkdepim.so.4()(64bit)
    libkdepimdbusinterfaces.so.4()(64bit)
    libkdgantt2.so.0()(64bit)
    libkleo.so.4()(64bit)
    libknodecommon.so.4()(64bit)
    libkpgp.so.4()(64bit)
    libmailcommon.so.4()(64bit)
    libmailimporter.so.4()(64bit)
    libmessagecomposer.so.4()(64bit)
    libmessagecore.so.4()(64bit)
    libmessageviewer.so.4()(64bit)
    libpimcommon.so.4()(64bit)
    libsendlater.so.4()(64bit)
    libtemplateparser.so.4()(64bit)

kdepim4-debuginfo:
    kdepim4-debuginfo
    kdepim4-debuginfo(x86-64)

knode:
    application()
    application(kde4/KNode.desktop)
    knode
    knode(x86-64)
    mimehandler(x-scheme-handler/news)
Comment 17 Rex Dieter 2016-04-16 16:31:02 EDT
1.  moved knode-libs icons to main pkg, BuildRequires exceptions are no longer present in guidelines, update-desktop-database scriptlets already included (%postun and %posttrans)

2. dbus dirs owned by dbus, knode-libs now owns
%{_kde4_libdir}/kde4/plugins/accessible/

3. Should be better to exclude this file:
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz

This is fairly common for kde applications.

4. This package ships many subpackages and I am curious about than there is not any devel subpackage.

many?  There's only 3: knode, knode-libs, ktimetracker.  There's no -devel because it doesn't ship anything development related (no header files for use elsewhere)

5. Subpackages do not have a license text in the rpm: fixed

6.  Some of this files can be moved to a common subpackage?  Could consider that, but I'd rather not introduce the greater packaging complexity (the savings here isn't compelling enough).

7. Upstream link to sources is not working: fixed


Spec URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kdepim4/kdepim4-4.14.10-23.fc24.src.rpm


%changelog
* Sat Apr 16 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.14.10-23
- knode: move icons in -libs to main pkg
- knode-libs: own %%{_kde4_libdir}/kde4/plugins/accessible/
- add %%license files
- update URL, Source URL
Comment 18 Rex Dieter 2016-04-18 15:05:42 EDT
ping reviewer for feedback on latest submission, thanks.
Comment 19 William Moreno 2016-04-21 10:23:32 EDT
Issues:
=======

- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in knode, ktimetracker
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

- Can move those files to a devel subpackage?
[!]: Development (unversioned) .so files in -devel subpackage, if present.
Unversioned so-files
--------------------
knode: /usr/lib64/kde4/kcm_knode.so
knode: /usr/lib64/kde4/knodepart.so
knode-libs: /usr/lib64/kde4/plugins/accessible/messagevieweraccessiblewidgetfactory.so
knode-libs: /usr/lib64/kde4/plugins/designer/kdepimwidgets.so
knode-libs: /usr/lib64/kde4/plugins/designer/mailcommonwidgets.so
knode-libs: /usr/lib64/kde4/plugins/designer/pimcommonwidgets.so
knode-libs: /usr/lib64/kde4/plugins/grantlee/0.5/grantlee_messageheaderfilters.so
ktimetracker: /usr/lib64/kde4/kcm_ktimetracker.so
ktimetracker: /usr/lib64/kde4/ktimetrackerpart.so

- Current packagin guidelines recomends to include a appdata.xml fiel fro grafical interface

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.

[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: knode-4.14.10-23.fc23.x86_64.rpm
          knode-libs-4.14.10-23.fc23.x86_64.rpm
          ktimetracker-4.14.10-23.fc23.x86_64.rpm
          kdepim4-debuginfo-4.14.10-23.fc23.x86_64.rpm
          kdepim4-4.14.10-23.fc23.src.rpm
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz
knode.x86_64: W: no-manual-page-for-binary knode
knode-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmailcommon.so.4.14.18 exit@GLIBC_2.2.5
knode-libs.x86_64: W: no-documentation
knode-libs.x86_64: W: no-manual-page-for-binary kincidenceeditor
ktimetracker.x86_64: W: no-manual-page-for-binary ktimetracker
ktimetracker.x86_64: W: no-manual-page-for-binary karm
kdepim4.src:53: W: macro-in-comment %{version}
kdepim4.src:53: W: macro-in-comment %{release}
kdepim4.src:54: W: macro-in-comment %{version}
kdepim4.src:54: W: macro-in-comment %{release}
5 packages and 0 specfiles checked; 0 errors, 11 warnings.
Rpmlint (debuginfo)
-------------------
Checking: kdepim4-debuginfo-4.14.10-23.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ktimetracker.x86_64: W: no-manual-page-for-binary karm
ktimetracker.x86_64: W: no-manual-page-for-binary ktimetracker
knode-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
knode-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecomposer.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libincidenceeditorsng.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkimap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailcommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libmailcommon.so.4.14.18 exit@GLIBC_2.2.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkontactinterface.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkjs.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libakonadi-kde.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libknodecommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libmessagecore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libakonadi-contact.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmailimporter.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdgantt2.so.0.1.0 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtGui.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkpimutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libkdeui.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepimdbusinterfaces.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbaloofiles.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbalooqueryparser.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libbaloocore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdepim.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkleo.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkpgp.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpgme++-pthread.so.2
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libtemplateparser.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkpgp.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgrantleetheme.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libakonadiprotocolinternals.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libakonadi_next.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessagecore.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkdepim.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkidletime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkcmutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libakonadi-contact.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkabc.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libkemoticons.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libmailtransport.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libakonadi-kmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupport.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkidletime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkprintutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkcalutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkcmutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libkemoticons.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcalendarsupportcollectionpage.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkpimutils.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libkio.so.5
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkaddressbookgrantlee.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libincidenceeditorsng.so.4.14.18 /lib64/libgcc_s.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsendlater.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libqgpgme.so.1
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libknewstuff3.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkpimtextedit.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libkparts.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmessageviewer.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkcalcore.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libphonon.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkldap.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkresources.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkpimidentities.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libkmime.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpimcommon.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libgpgme-pthread.so.11
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libgpg-error.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtNetwork.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtXml.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtSvg.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libQtDBus.so.4
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libpthread.so.0
knode-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkleo.so.4.14.18 /lib64/libm.so.6
knode-libs.x86_64: W: no-documentation
knode-libs.x86_64: W: no-manual-page-for-binary kincidenceeditor
knode.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/knode.svgz
knode.x86_64: W: no-manual-page-for-binary knode
4 packages and 0 specfiles checked; 0 errors, 213 warnings.


Source checksums
----------------
http://download.kde.org/Attic/applications/15.04.3/src/kdepim-4.14.10.tar.xz :
  CHECKSUM(SHA256) this package     : edad865b81259331780a25906127e105d06fda8aa56f6f11cfee4bc8f85bb7e2
  CHECKSUM(SHA256) upstream package : edad865b81259331780a25906127e105d06fda8aa56f6f11cfee4bc8f85bb7e2
Comment 20 Rex Dieter 2016-04-21 13:15:03 EDT
1.  update-desktop-desktop is invoked:

...
%posttrans -n knode
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n knode
if [ $1 -eq 0 ] ; then
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi


2. - Can move those files to a devel subpackage?
[!]: Development (unversioned) .so files in -devel subpackage, if present.

No, they are all runtime plugins.


3.  - Current packagin guidelines recomends to include a appdata.xml

Yeah, upstream doesn't provide one, I could work on one eventually, but this shouldn't be a blocker either


Is there anything else I may have missed?
Comment 21 William Moreno 2016-04-21 15:23:09 EDT
I am fine with this packaging. Aproved
Comment 22 Rex Dieter 2016-04-21 15:25:18 EDT
Thanks for the thorough reviews!
Comment 23 Kevin Fenzi 2016-04-23 12:08:42 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kdepim4
Comment 24 Fedora Update System 2016-04-23 16:58:42 EDT
kdepim4-4.14.10-24.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4df8065ced
Comment 25 Fedora Update System 2016-04-23 21:24:13 EDT
kdepim4-4.14.10-24.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4df8065ced
Comment 26 Fedora Update System 2016-04-28 23:55:03 EDT
kdepim4-4.14.10-24.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.